Bug 176536 - audio/creox: Update to version 0.3.0
Summary: audio/creox: Update to version 0.3.0
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Martin Wilke
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-02-28 18:10 UTC by tkato432
Modified: 2013-03-02 06:00 UTC (History)
0 users

See Also:


Attachments
file.diff (14.65 KB, patch)
2013-02-28 18:10 UTC, tkato432
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description tkato432 2013-02-28 18:10:03 UTC
- Update to version 0.3.0

New file:
files/patch-creox__effects_dsp__distortionprocessor.cpp
files/patch-creox__effects_dsp__echoprocessor.cpp
files/patch-creox__effects_dsp__phaserprocessor.cpp
files/patch-creox__effects_dsp__tremoloprocessor.cpp

Remove file:
files/patch-error_h
files/patch-sincosf
Comment 1 Edwin Groothuis freebsd_committer 2013-02-28 18:11:01 UTC
Responsible Changed
From-To: freebsd-ports-bugs->araujo

araujo@ wants this submitter's PRs (via the GNATS Auto Assign Tool)
Comment 2 Martin Wilke freebsd_committer 2013-03-01 15:00:51 UTC
Responsible Changed
From-To: araujo->miwi

I'll take it.
Comment 3 Martin Wilke freebsd_committer 2013-03-02 05:53:24 UTC
State Changed
From-To: open->closed

committed thx
Comment 4 dfilter service freebsd_committer 2013-03-02 05:53:33 UTC
Author: miwi
Date: Sat Mar  2 05:53:23 2013
New Revision: 313197
URL: http://svnweb.freebsd.org/changeset/ports/313197

Log:
  - Update to 0.3.0
  - Trim header
  
  PR:		176536
  Submitted by:	ports fury

Added:
  head/audio/creox/files/patch-creox__effects_dsp__distortionprocessor.cpp   (contents, props changed)
  head/audio/creox/files/patch-creox__effects_dsp__echoprocessor.cpp   (contents, props changed)
  head/audio/creox/files/patch-creox__effects_dsp__phaserprocessor.cpp   (contents, props changed)
  head/audio/creox/files/patch-creox__effects_dsp__tremoloprocessor.cpp   (contents, props changed)
Deleted:
  head/audio/creox/files/patch-error_h
  head/audio/creox/files/patch-sincosf
Modified:
  head/audio/creox/Makefile   (contents, props changed)
  head/audio/creox/distinfo   (contents, props changed)
  head/audio/creox/pkg-descr   (contents, props changed)
  head/audio/creox/pkg-plist   (contents, props changed)

Modified: head/audio/creox/Makefile
==============================================================================
--- head/audio/creox/Makefile	Sat Mar  2 05:49:40 2013	(r313196)
+++ head/audio/creox/Makefile	Sat Mar  2 05:53:23 2013	(r313197)
@@ -1,49 +1,35 @@
-# New ports collection makefile for:	Creox
-# Date created:				18 Aug 2009
-# Whom:					Alexey Dokuchaev <danfe@FreeBSD.org>
-#
+# Created by: Alexey Dokuchaev <danfe@FreeBSD.org>
 # $FreeBSD$
-#
 
 PORTNAME=	creox
-DISTVERSION=	0.2.2rc2
-PORTREVISION=	5
+PORTVERSION=	0.3.0
 CATEGORIES=	audio kde
-MASTER_SITES=	http://zyzstar.kosoru.com/projects/creox/downloads/
 
 MAINTAINER=	ports@FreeBSD.org
-COMMENT=	A real-time sound processor
+COMMENT=	Realtime sound processor
 
-LIB_DEPENDS=	jack.0:${PORTSDIR}/audio/jack
+LICENSE=	GPLv2
 
-DEPRECATED=	Depends on QT3; unmaintained
-EXPIRATION_DATE=	2013-07-01
+LIB_DEPENDS=	jack:${PORTSDIR}/audio/jack
 
-USE_BZIP2=	yes
-USE_AUTOTOOLS=	libtool
-GNU_CONFIGURE=	yes
-USE_GETTEXT=	yes
-USE_KDELIBS_VER=3
-INSTALLS_ICONS=	yes
+USE_GITHUB=	yes
+GH_ACCOUNT=	laudrup
+GH_PROJECT=	Creox4
+GH_TAGNAME=	0.3
+GH_COMMIT=	8e27483
+
+USE_XORG=	xft xpm
+USE_KDE4=	automoc4 kdelibs kdeprefix
+USE_QT4=	moc_build qmake_build rcc_build uic_build
+USE_CMAKE=	yes
+CMAKE_OUTSOURCE=yes
+MAKE_JOBS_SAFE=	yes
 
 post-patch:
-# Fix bogus test(1) syntax and remove superfluous -O2
-	@${REINPLACE_CMD} -E 's,(if \[ [[:graph:]]+ )==,\1=, ; \
-		s,-O2,,' ${WRKSRC}/configure
+	@${REINPLACE_CMD} -e \
+		'/-Wno-unused-but-set-variable/d' ${WRKSRC}/CMakeLists.txt
 # FreeBSD does not have exp10f(3), use powf(3) instead
-	@${REINPLACE_CMD} -e 's|exp10f(|powf(10., |' \
-		${WRKSRC}/creox/dsp_flow/threadeffector.cpp \
-		${WRKSRC}/creox/effects_dsp/tremoloprocessor.cpp \
-		${WRKSRC}/creox/effects_dsp/phaserprocessor.cpp \
-		${WRKSRC}/creox/effects_dsp/flangerprocessor.cpp \
-		${WRKSRC}/creox/effects_dsp/echoprocessor.cpp \
-		${WRKSRC}/creox/effects_dsp/distortionprocessor.cpp
-# Fix std::fmaf (remove std:: prefix)
-	@${REINPLACE_CMD} -e 's,std::fmaf,fmaf,' \
-		${WRKSRC}/creox/effects_dsp/tremoloprocessor.cpp \
-		${WRKSRC}/creox/effects_dsp/echoprocessor.cpp
-# Add missing closing parentheses on line 186
-	@${REINPLACE_CMD} -e '186s,);,)&,' \
-		${WRKSRC}/creox/effects_dsp/tremoloprocessor.cpp
+	@${GREP} -lR "exp10f(" ${WRKSRC} | ${XARGS} ${REINPLACE_CMD} -e \
+		's|exp10f(|powf(10.,|'
 
 .include <bsd.port.mk>

Modified: head/audio/creox/distinfo
==============================================================================
--- head/audio/creox/distinfo	Sat Mar  2 05:49:40 2013	(r313196)
+++ head/audio/creox/distinfo	Sat Mar  2 05:53:23 2013	(r313197)
@@ -1,2 +1,2 @@
-SHA256 (creox-0.2.2rc2.tar.bz2) = 176367094866cf7c811df0cf33acb69fb5e1681bd17414d0cc90df398c30429f
-SIZE (creox-0.2.2rc2.tar.bz2) = 670791
+SHA256 (creox-0.3.0.tar.gz) = 7ca8ea0d54eeeb50e8df8bbe3832ef0e68880c00bf6f77aee1fd567beb457b23
+SIZE (creox-0.3.0.tar.gz) = 216287

Added: head/audio/creox/files/patch-creox__effects_dsp__distortionprocessor.cpp
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/audio/creox/files/patch-creox__effects_dsp__distortionprocessor.cpp	Sat Mar  2 05:53:23 2013	(r313197)
@@ -0,0 +1,32 @@
+--- creox/effects_dsp/distortionprocessor.cpp.orig
++++ creox/effects_dsp/distortionprocessor.cpp
+@@ -423,7 +424,8 @@
+ {
+ 	const float omega = 2.0f*float(M_PI)*centerFrequency/m_samplerate_f;
+ 	float sn,cs;
+-	sincosf(omega, &sn, &cs);
++	sn = sinf(omega);
++	cs = cosf(omega);
+ 	const float alpha = sn*sinhf(float(M_LN2/2.0)*bandwidth*(omega/sn));
+ 	const float a0 = 1.0f/(1.0f + alpha);   //a0 = 1/a0
+ 
+@@ -462,7 +464,8 @@
+ 	const float A = powf(10., gain/40.0f);
+ 	const float omega = 2.0f*float(M_PI)*frequency/m_samplerate_f;
+ 	float sn,cs;
+-	sincosf(omega, &sn, &cs);
++	sn = sinf(omega);
++	cs = cosf(omega);
+ 	register const float beta = sn * sqrtf( (A*A + 1.0f)/slope - powf(A-1.0f, 2.0f) );
+ 
+ 	register const float AplusOne  = A + 1.0f;
+@@ -500,7 +503,8 @@
+ {
+ 	const float omega = 2.0f*float(M_PI)*cutoffFrequency/m_samplerate_f;
+ 	float sn,cs;
+-	sincosf(omega, &sn, &cs);
++	sn = sinf(omega);
++	cs = cosf(omega);
+ 	const float alpha = sn/(2.0f * Q);
+ 	const float a0 = 1.0f/(1.0f + alpha);   //a0 = 1/a0
+ 

Added: head/audio/creox/files/patch-creox__effects_dsp__echoprocessor.cpp
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/audio/creox/files/patch-creox__effects_dsp__echoprocessor.cpp	Sat Mar  2 05:53:23 2013	(r313197)
@@ -0,0 +1,11 @@
+--- creox/effects_dsp/echoprocessor.cpp.orig	2011-06-22 06:27:40.000000000 +0900
++++ creox/effects_dsp/echoprocessor.cpp	2013-02-18 21:05:56.000000000 +0900
+@@ -221,7 +221,7 @@
+ 			parallelEchoes += parEcho * m_parallelEchoParam[count].decay_f;
+ #ifdef FP_FAST_FMAF
+ 			*(m_parallelEchoChain[count].buffer + m_parallelEchoChain[count].offset) =
+-								std::fmaf(parEcho, m_parallelEchoParam[count].feedback_f, inputSample);
++								fmaf(parEcho, m_parallelEchoParam[count].feedback_f, inputSample);
+ #else
+ 			*(m_parallelEchoChain[count].buffer + m_parallelEchoChain[count].offset) =
+ 									inputSample + (parEcho * m_parallelEchoParam[count].feedback_f);

Added: head/audio/creox/files/patch-creox__effects_dsp__phaserprocessor.cpp
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/audio/creox/files/patch-creox__effects_dsp__phaserprocessor.cpp	Sat Mar  2 05:53:23 2013	(r313197)
@@ -0,0 +1,22 @@
+--- creox/effects_dsp/phaserprocessor.cpp.orig
++++ creox/effects_dsp/phaserprocessor.cpp
+@@ -156,7 +157,8 @@
+ 			{
+ 				const float omega = 2.0f * float(M_PI) * m_stepFrequency / m_samplerate_d;
+ 				float sn, cs;
+-				sincosf(omega, &sn, &cs);
++				sn = sinf(omega);
++				cs = cosf(omega);
+ 				*(m_coefBuffPrelim++) = cs; // cs
+ 				*(m_coefBuffPrelim++) = sn / m_resonance; // alpha (m_resonance = 2.0*resonance)
+ 				m_stepFrequency *= m_expStep;
+@@ -231,7 +233,8 @@
+ 			}
+ 
+ 			float sn, cs;
+-			sincosf(omega, &sn, &cs);
++			sn = sinf(omega);
++			cs = cosf(omega);
+ 			register const float alpha = sn / m_resonance; // alpha (m_resonance = 2.0 * resonance)
+ 
+ 			// perform filter

Added: head/audio/creox/files/patch-creox__effects_dsp__tremoloprocessor.cpp
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/audio/creox/files/patch-creox__effects_dsp__tremoloprocessor.cpp	Sat Mar  2 05:53:23 2013	(r313197)
@@ -0,0 +1,13 @@
+--- creox/effects_dsp/tremoloprocessor.cpp.orig	2011-06-22 06:27:40.000000000 +0900
++++ creox/effects_dsp/tremoloprocessor.cpp	2013-02-18 21:04:20.000000000 +0900
+@@ -182,8 +182,8 @@
+ 		register const float inputSample = *(inputBuffer++) * m_inputGain_f;
+ #ifdef FP_FAST_FMAF
+ 		*(outputBuffer++) = (inputSample * m_dry_f)
+-						  + (inputSample * m_wet_f * std::fmaf(amplitudeModulation,
+-															   m_modulationMulti, m_modulationShift);
++						  + (inputSample * m_wet_f * fmaf(amplitudeModulation,
++															   m_modulationMulti, m_modulationShift));
+ #else
+ 		*(outputBuffer++) = (inputSample * m_dry_f)
+ 						  + (inputSample * m_wet_f * ((amplitudeModulation * m_modulationMulti)

Modified: head/audio/creox/pkg-descr
==============================================================================
--- head/audio/creox/pkg-descr	Sat Mar  2 05:49:40 2013	(r313196)
+++ head/audio/creox/pkg-descr	Sat Mar  2 05:53:23 2013	(r313197)
@@ -1,11 +1,11 @@
-Creox is a real-time sound processor.  You can plug your electric guitar or
-any other musical instrument directly to the PC's sound card and start
-experimenting with various sound effects.  Creox offers nice user-friendly
-KDE-based GUI, a preset support, a low-latency DSP engine, and each effect
-parameter can be altered "on the fly".
+Creox is a real-time sound processor. You can plug your electric guitar
+or any other musical instrument directly to the PC's sound card and
+start experimenting with various sound effects. Creox offers nice
+user-friendly KDE-based GUI, a preset support, a low-latency DSP engine,
+and each effect parameter can be altered "on the fly".
 
-As Creox is a JACK application, the output sound can be routed to the other
-JACK-aware applications, and the audio input can be taken as the output from
-the other JACK client.
+As Creox is a JACK application, the output sound can be routed to the
+other JACK-aware applications, and the audio input can be taken as the
+output from the other JACK client.
 
-WWW: http://zyzstar.kosoru.com/?creox
+WWW: http://stacktrace.dk/project/creox-4/

Modified: head/audio/creox/pkg-plist
==============================================================================
--- head/audio/creox/pkg-plist	Sat Mar  2 05:49:40 2013	(r313196)
+++ head/audio/creox/pkg-plist	Sat Mar  2 05:53:23 2013	(r313197)
@@ -1,30 +1,11 @@
 bin/creox
-share/doc/HTML/en/creox/common
-share/doc/HTML/en/creox/index.docbook
-share/doc/HTML/en/creox/index.cache.bz2
-share/locale/ru/LC_MESSAGES/creox.mo
-share/apps/creox/icons/hicolor/16x16/actions/distortion.png
-share/apps/creox/icons/hicolor/16x16/actions/echo.png
-share/apps/creox/icons/hicolor/16x16/actions/flanger.png
-share/apps/creox/icons/hicolor/16x16/actions/phaser.png
-share/apps/creox/icons/hicolor/16x16/actions/preset_chain.png
-share/apps/creox/icons/hicolor/16x16/actions/preset_nochain.png
-share/apps/creox/icons/hicolor/16x16/actions/tremolo.png
-share/apps/creox/icons/hicolor/48x48/actions/sound_card_properties.png
-share/apps/creox/pics/sound_card_properties.png
-share/apps/creox/pics/crsplash.png
+share/applications/kde4/creox.desktop
 share/apps/creox/creoxui.rc
-share/applnk/Applications/creox.desktop
+share/apps/creox/pics/crsplash.png
+share/config.kcfg/creox4.kcfg
 share/icons/hicolor/16x16/apps/creox.png
 share/icons/hicolor/32x32/apps/creox.png
 share/icons/hicolor/48x48/apps/creox.png
 share/icons/hicolor/64x64/apps/creox.png
-@dirrm share/apps/creox/icons/hicolor/48x48/actions
-@dirrm share/apps/creox/icons/hicolor/48x48
-@dirrm share/apps/creox/icons/hicolor/16x16/actions
-@dirrm share/apps/creox/icons/hicolor/16x16
-@dirrm share/apps/creox/icons/hicolor
-@dirrm share/apps/creox/icons
 @dirrm share/apps/creox/pics
 @dirrm share/apps/creox
-@dirrm share/doc/HTML/en/creox
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"